Fetch Bank Account Balance

GET /v1/connected_banking/balance

Returns latest available balance for one or more accounts.

Query parameters

ParamRequiredNotes
sub_merchant_idnoFilter to one sub-merchant
bank_account_idnoFilter to a specific account
cursornoPagination cursor
limitnoPage size, default 25, max 100

Success — 200 OK

{
  "status": "success",
  "data": {
    "balances": [
      { "bank_account_id": "71c43886-3f4e-57d0-856d-9b038dcd7233", "balance": "128345712.00" },
      { "bank_account_id": "gfd5354-3f4e-57d0-856d-9b038dcd7233",  "balance": "812363.00"   }
    ]
  },
  "error": null,
  "meta": {
    "timestamp": "2026-04-15T12:00:00Z",
    "pagination": {
      "cursor": null,
      "next_cursor": null,
      "limit": 25,
      "has_more": false
    }
  }
}

Possible errors: OPN_CB_BL_001, OPN_CB_BL_002, OPN_CB_BL_003